body {
    margin: 0;
    font-family: Arial;
    background-color: rgb(224, 194, 244);
}

/* Barra superior */
.top-bar {
    background: black;
    color: rgb(255, 255, 255);
    text-align: center;
    padding: 5px;
}

/* Header */
header {
    display: flex;
    justify-content: space-between;
    padding: 15px;
    
}

/* Menú */
nav ul {
    display: flex;
    justify-content: center;
    list-style: none;
    background: #333;
    padding: 10px;

}

nav ul li{
    margin: 0 15px;
  
}

nav ul li a {
    color: rgb(255, 251, 251);
    text-decoration: none;
}

nav ul li:hover{
    background: green;
     border-radius: 30%;
}

/* Banner */
.banner {
    background: url("img/zap1.jpg");
    background-size: cover;
    color: rgb(20, 146, 22);
    text-align: center;
    padding: 60px;
}

.banner h2{
    display: block;
    color: black;
    font-size: 30px;
}

.banner p{
    display: block;
    color: black;
    font-size: 18px;
    font-weight: bold;
}

/* Productos */
.productos {
    text-align: center;
    padding: 40px;
    
}

.grid {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 15px;
}

.card {
    background: white;
    padding: 10px;
    box-shadow: 0 5px 10px rgba(0,0,0,0.2);
    transition: 0.3s;
}

.card:hover {
    transform: scale(1.05);
}

.card img {
    width: 100%;
    height: 180px;
    object-fit: cover;
}

button {
    background: black;
    color: white;
    border: none;
    padding: 10px;
    cursor: pointer;
}

button:hover {
    background: #e30052;
}

/* Info */
.info {
    background: #f2f2f2;
    text-align: center;
    padding: 20px;
}

/* Footer */
footer {
    background: black;
    color: white;
    text-align: center;
    padding: 10px;
}

.banner {
    background: url("img/banner.jpg") no-repeat center center/cover;
    height: 300px;

    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;

    color: white;
    text-align: center;
}

.banner h2 {
    font-size: 40px;
    background: rgba(0, 0, 0, 0.6);
    padding: 10px 20px;
    border-radius: 10px;
}

.banner p {
    font-size: 20px;
    margin-top: 10px;
    background: rgba(0,0,0,0.6);
    padding: 5px 15px;
    border-radius: 10px;
}

.banner:hover {
    transform: scale(1.02);
    transition: 0.3s;
}
.banner h2 {
    text-shadow: 2px 2px 10px rgb(254, 251, 251);
}

.banner p {
    text-shadow: 1px 1px 5px rgb(253, 251, 251);
}